/* 3D Vector arithmetic C library
 *
 * Quaternion support
 *
 * 1991-2002, Martin Strubel // onk@section5.ch
 *
 * $Id: quat.h,v 1.4 2002-08-20 22:20:14 strubi Exp $
 *
 */

#include "vect.h"

void quatmulquat(pQuat out, pQuat p, pQuat q);
void quat_from_rotaxis(pQuat out, pVector3 axis, vfloat phi);
void rotaxis_from_quat(vfloat *angle, pVector3 axis, pQuat q);
void quat_from_euler(pQuat out, pVector3 eul);
void euler_from_quat(pVector3 out, pQuat q);
void mat3_from_quat(pMatrix3 m, pQuat q);
void mat4_from_quat(pMatrix4 m, pQuat q);

